<?php 

require_once $CFG->libdir.'/formslib.php';

class form_edit extends moodleform {

    function definition() {
    	global $dto;
    	
        global $mdl_config,$libauth;
    	
        $mform    =& $this->_form;
        $renderer =& $mform->defaultRenderer();

        $mform->addElement('header', '', get_string('auth_key','report_gmoodlexreport'), '');
        
          $mform->addElement('hidden', 'id',  $dto->id);
        $mform->setType('id', PARAM_INT);
        
         $mform->addElement('select', 'name', get_string('type','report_gmoodlexreport'),$libauth->get_type_html_options());
         $mform->setType('name', PARAM_TEXT);
          $mform->addRule('name', get_string('requiredfield','report_gmoodlexreport'), 'required', null, 'server');
         $mform->setDefault('name', $dto->name);
         
        $mform->addElement('textarea', 'value', get_string('key','report_gmoodlexreport'),'wrap="virtual" rows="21" cols="90"');
        $mform->setType('value', PARAM_TEXT);
        $mform->addRule('value', get_string('requiredfield','report_gmoodlexreport'), 'required', null, 'server');
         $mform->setDefault('value', $dto->value);
        
       
       
        $this->add_action_buttons(true,get_string('edit','report_gmoodlexreport'));
    }

    function validation($data, $files) {
        global $CFG;

         $errors = parent::validation($data, $files);
         global $mdl_config;
          if( $mdl_config->exist_by_name_for_edit($data['id'],report_gmoodlexreport_auth::$GMOODLE_TO_MOODLE_URL)){
         	$errors['name'] = get_string('auth_key_dpl_msg','report_gmoodlexreport');
         }
      
     return $errors;
    }

}

?>